Package org.apache.storm.utils

# Class VersionInfo

java.lang.Object
org.apache.storm.utils.VersionInfo

public final class VersionInfo extends Object

- ## Field Summary

  Fields
  Modifier and Type
  Field
  Description
  `static final IVersionInfo`
  `OUR_FULL_VERSION`
  `static final SimpleVersion`
  `OUR_VERSION`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `VersionInfo()`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `static String`
  `getBranch()`
  Get the SCM branch of the build.
  `static String`
  `getBuildVersion()`
  Get a descriptive representation of the build meant for human consumption.
  `static String`
  `getDate()`
  Get the date/time the build happened.
  `static IVersionInfo`
  `getFromClasspath(String cp)`
  Look for the version of storm defined by the given classpath.
  `static IVersionInfo`
  `getFromClasspath(List<String> classpath)`
  Look for the version of storm defined by the given classpath.
  `static String`
  `getRevision()`
  Get the SCM revision number of the build.
  `static String`
  `getSrcChecksum()`
  Get the checksum of the source.
  `static String`
  `getUrl()`
  Get the full SCM URL for the build.
  `static String`
  `getUser()`
  Get the name of the user that did the build.
  `static String`
  `getVersion()`
  Get the version number of the build.
  `static void`
  `main(String[] args)`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Field Details

  - ### OUR_FULL_VERSION

    public static final IVersionInfo OUR_FULL_VERSION

  - ### OUR_VERSION

    public static final SimpleVersion OUR_VERSION

- ## Constructor Details

  - ### VersionInfo

    public VersionInfo()

- ## Method Details

  - ### getFromClasspath

    public static IVersionInfo getFromClasspath(String cp)
    Look for the version of storm defined by the given classpath.
    Parameters:
      `cp` - the classpath as a string to be parsed.
    Returns:
      the IVersionInfo or null.

  - ### getFromClasspath

    public static IVersionInfo getFromClasspath(List<String> classpath)
    Look for the version of storm defined by the given classpath.
    Parameters:
      `classpath` - the classpath as list of files/directories.
    Returns:
      the IVersionInfo or null.

  - ### getVersion

    public static String getVersion()
    Get the version number of the build.
    Returns:
      the version number of the build.

  - ### getRevision

    public static String getRevision()
    Get the SCM revision number of the build.
    Returns:
      the SCM revision number of the build.

  - ### getBranch

    public static String getBranch()
    Get the SCM branch of the build.
    Returns:
      the SCM branch of the build.

  - ### getDate

    public static String getDate()
    Get the date/time the build happened.
    Returns:
      the date/time of the build.

  - ### getUser

    public static String getUser()
    Get the name of the user that did the build.
    Returns:
      the name of the user that did the build.

  - ### getUrl

    public static String getUrl()
    Get the full SCM URL for the build.
    Returns:
      the SCM URL of the build.

  - ### getSrcChecksum

    public static String getSrcChecksum()
    Get the checksum of the source.
    Returns:
      the checksum of the source.

  - ### getBuildVersion

    public static String getBuildVersion()
    Get a descriptive representation of the build meant for human consumption.
    Returns:
      a descriptive representation of the build.

  - ### main

    public static void main(String[] args)